#include <stdint.h> /* Standard Integer Types */
#include <stdio.h> /* Standard IO facilities */
#include <stdlib.h> /* General utilities */
#include <stdbool.h> /* Boolean */

#include "settings.h"

#include <string.h> /* Strings */
#include "uart.h"

/* initialize variable */
volatile uint8_t* PORTS[CHANNELS_1+CHANNELS_2] = {&PORTC,&PORTC,&PORTC,&PORTC,&PORTC,&PORTD,&PORTD,&PORTD,&PORTD,&PORTD};
const uint8_t BITS[CHANNELS_1+CHANNELS_2] = {PC0,PC1,PC2,PC3,PC4};
uint8_t mode = 0;
uint8_t brightness[MODES][CHANNELS_1+CHANNELS_2];

void verify_settings(void)
{
	uint8_t checksum = 0;
	printf("brightness: %u\n",sizeof(brightness));
	printf("checksum: %u\n",checksum);
}
